> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fieldnode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Upload URL

> Create Upload URL for file.



## OpenAPI

````yaml /api/openapi.json post /v1/uploads
openapi: 3.1.0
info:
  title: Fieldnode API
  version: v1
  contact:
    name: Support
    url: https://fieldnode.com
    email: support@fieldnode.com
servers:
  - url: https://api.lab.fieldnode.dev
    description: Lab
    variables: {}
  - url: https://api.sandbox.fieldnode.dev
    description: Sandbox
    variables: {}
  - url: https://api.fieldnode.app
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Process
  - name: Standard
  - name: Material
  - name: Org
  - name: Upload
  - name: Part
  - name: Factory
  - name: Category
  - name: Criticality
  - name: Rfq
  - name: Offer
paths:
  /v1/uploads:
    post:
      tags:
        - Upload
      summary: Create Upload URL
      description: Create Upload URL for file.
      operationId: createUploadUrl
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: File name.
                public:
                  type: boolean
                  description: Whether the file is public.
                  default: false
              required:
                - name
                - public
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Upload'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Upload:
      type: object
      required:
        - id
        - method
        - signedUrl
        - expireTime
        - headers
      properties:
        id:
          type: string
          description: Upload id.
        method:
          type: string
          description: HTTP method for uploading file.
        signedUrl:
          type: string
          description: Signed URL. Used to upload file.
        expireTime:
          type: string
          format: date-time
          description: Expire time of the signed URL.
        headers:
          type: object
          unevaluatedProperties:
            type: string
          description: HTTP headers for uploading file.
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: integer
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Token

````